package com.prolog.cs.biz.inbound.service.rqc;

import com.prolog.cs.biz.inbound.dto.PageParam;
import com.prolog.cs.biz.inbound.dto.rqc.RqcRechekLinesDTO;
import com.prolog.framework.authority.core.dto.UserDTO;
import com.prolog.framework.core.pojo.Page;

import java.util.Date;
import java.util.List;

/**
 * @Description
 * @Date 2021-03-24
 */

public interface RqcRechekLinesService {

	/**
	 * @Description
	 * @Date 2021-03-24 add RqcRechekLinesDTO
	 */
	public Object add(RqcRechekLinesDTO rqcRechekLinesDTO);

	/**
	 * @Description
	 * @Date 2021-03-24 edit RqcRechekLinesDTO
	 */
	public Object edit(String pkId, RqcRechekLinesDTO rqcRechekLinesDTO);

	/**
	 * @Description
	 * @Date 2021-03-24 delete RqcRechekLinesDTO
	 */
	public Object deletePkId(String pkId);

	/**
	 * @Description
	 * @Date 2021-03-24 delete RqcRechekLinesDTO
	 */
	public Object delIds(List<String> pkIdList);

	/**
	 * @Description
	 * @Date 2021-03-24 page condition search RqcRechekLinesDTO
	 */
	public Page<RqcRechekLinesDTO> findList(RqcRechekLinesDTO rqcRechekLinesDTO, PageParam pageParam);

	/**
	 * @Description
	 * @Date 2021-03-24 batchAdd RqcRechekLinesDTO
	 */
	public Object batchAdd(List<RqcRechekLinesDTO> rqcRechekLinesDTOList);

	/**
	 * @Description
	 * @Date 2021-03-24 batchEdit RqcRechekLinesDTO
	 */
	public Object batchEdit(List<RqcRechekLinesDTO> rqcRechekLinesDTOList);

	/**
	 * @Description
	 * @Date 2021-03-24 condition search all RqcRechekLinesDTO
	 */
	public List<RqcRechekLinesDTO> findAll(RqcRechekLinesDTO rqcRechekLinesDTO);

	/**
	 * @Description
	 * @Date 2021-03-24 findOne RqcRechekLinesDTO
	 */
	public RqcRechekLinesDTO findByPkId(String pkId);

	public Object batchAdd(List<RqcRechekLinesDTO> rqcRechekLinesDTOList, String masterId, UserDTO userDTO, Date now);
}
